#  Config file for libyui-ncurses
#  It defines the following variables
#  LIBYUI-NCURSES_INCLUDE_DIRS - include directories for libyui-ncurses
#  LIBYUI-NCURSES_LIBRARIES    - libraries to link against
#  LIBYUI-NCURSES_PREFIX       - prefix where libyui-ncurses is installed
#  LIBYUI-NCURSES_SONAME       - soname of libyui-ncurses
#  LIBYUI-NCURSES_SONAME_MAJOR - soname of libyui-ncurses
#  LIBYUI-NCURSES_SONAME_MINOR - soname of libyui-ncurses
#  LIBYUI-NCURSES_SONAME_PATCH - soname of libyui-ncurses

# Export the SONAME for use by plugins
SET( LIBYUI-NCURSES_SONAME "8.0.0" )
SET( LIBYUI-NCURSES_SONAME_MAJOR "8" )
SET( LIBYUI-NCURSES_SONAME_MINOR "0" )
SET( LIBYUI-NCURSES_SONAME_PATCH "0" )

# Compute paths
SET( LIBYUI-NCURSES_PREFIX "/usr" )
GET_FILENAME_COMPONENT( LIBYUI-NCURSES_CMAKE_DIR "${CMAKE_CURRENT_LIST_FILE}" PATH )
IF( EXISTS "${LIBYUI-NCURSES_CMAKE_DIR}/CMakeCache.txt" )
   # In build tree
   INCLUDE( "${LIBYUI-NCURSES_CMAKE_DIR}/Libyui-ncursesBuildTreeSettings.cmake" )
ELSE()
   SET( LIBYUI-NCURSES_INCLUDE_DIRS /usr/include/yui/ncurses /usr/include/yui/ncurses/.. )
ENDIF()

# Our library dependencies (contains definitions for IMPORTED targets)
INCLUDE( "${LIBYUI-NCURSES_CMAKE_DIR}/Libyui-ncursesLibraryDepends.cmake" )

# These are IMPORTED targets created by Libyui-ncursesLibraryDepends.cmake
SET( LIBYUI-NCURSES_LIBRARIES yui-ncurses )

MESSAGE( STATUS "Found Libyui-ncurses: ${IMPORTED_LOCATION_RELEASE} (Version: 2.48.3)" )
